@echo off
rem ##############################################################
rem # Copyright LogiQwest 2013                                   #
rem # Name: list_configs.bat - support for ssh xfr               #
rem # OS: Windows Server                                         #
rem # Purpose: This is the q-status Master program to call all   #
rem #          listing. This file requires editing to enable data#
rem #          transfer method.                                  #
rem # -----------------------------------------------------------#
rem # Change history:                                            #
rem # Version 1.00:04 Jan 2004 Created                           #
rem # Version 2.00:09 Jan 2009 Revised format.                   #
rem # Version 2.01:30 Mar 2010 Added cd command                  #
rem # Version 2.01:05 Apr 2010 Added support for Windows 2008    #
rem #                          Scheduler.                        #
rem # Version 2.02:29 Dec 2010 Added list.tasklist.bat           #
rem # Version 2.03:15 Aug 2012 Added list.cpuz.bat and           #
rem #                          list.route.bat.                   #
rem # Version 3.00:01 Dec 2012 Revise call to qstatusANTput.bat  #
rem #                          removed sshXFER.bat. No longer    #
rem #                          supported. Change called to       #
rem #                          list.disks.bat.                   #
rem # Version 4.00:24 Jan 2013 Revised for Rev 5.3               #
rem # Version 4.0X:15 Mar 2013 Added ssh xfr option              #
rem ##############################################################

cd "C:\Program Files\LogiQwest\q-statusWindowsServer\bin"

call list.disks.bat
call list.ipconfig.bat
call list.route.bat
call list.set.bat
call list.software.bat
call list.sysinfo.bat
call list.tasks.bat
call list.tasklist.bat
call list.cpuz.bat

rem ##############################################################
rem # Uncomment the appropriate method to automate q-status data #
rem # data transfer.                                             #
rem ##############################################################

rem call qstatusANTput.bat
rem call sshXFERput.bat