@echo off
rem ##############################################################
rem # Copyright LogiQwest 2013                                   #
rem # Name: list_configs_disks.bat                               #
rem # OS: Windows Desktop  - support for ssh xfr                 #
rem # Purpose: This is the q-status single program to call disks #
rem #          listing. This file requires editing to enable data#
rem #          transfer method.                                  #
rem # -----------------------------------------------------------#
rem # Change history:                                            #
rem # Version 1.00:04 Jan 2004 Created                           #
rem # Version 2.00:09 Jan 2009 Revised format.                   #
rem # Version 2.01:31 Mar 2010 Added support for Windows 7       #
rem #                          Scheduler.                        #
rem # Version 3.00:01 Dec 2012 Revise call to qstatusANTput.bat. #
rem #                          removed sshXFER.bat. No longer    #
rem #                          supported. Change called to       #
rem #                          list.disks.bat.                   #
rem # Version 4.00:24 Jan 2013 Revised format to Rev 5.3.        #
rem # Version 4.0X:15 Mar 2013 Added ssh xfr option              #
rem ##############################################################

cd "C:\Program Files\LogiQwest\q-statusWindowsDesktop\bin"

call list.disks.bat

rem ##############################################################
rem # Uncomment the appropriate method to automate q-status data #
rem # data transfer.                                             #
rem ##############################################################

rem call qstatusANTput_disks.bat
rem call sshXFERput_disks.bat